<?php
/**
* @version $Id: jcommentsmyjsp.php
* @version		2.0.5 16/01/2013
* @package		plg_jcommentsmyjsp
* @author       Bernard Saulm
* @copyright	Copyright (C) 2012-2013 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;

jimport('joomla.html.parameter'); // >= J1.6

class plgContentJcommentsMyjsp extends JPlugin
{
	/**
	 * Constructor
	 *
	 * @access      protected
	 * @param       object  $subject The object to observe
	 * @param       array   $config  An array that holds the plugin configuration
	 * @since       
	 */
	public function __construct(&$subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage('plg_content_jcommentsmyjsp', JPATH_ADMINISTRATOR);
	}

	/**
	 * @param	string	The context of the content being passed to the plugin. (since 1.6 only)
	 * @param	object	The article object.  Note $article->text is also available
	 * @param	object	The article params
	 * @param	int		The 'page' number
	 *
	 * @return	void
	 * @since	
	 */
	public function onContentPrepare($context, &$row, &$params, $page = 0) // 1.6+
	{
		if (version_compare(JVERSION, '1.6.0', 'lt'))
			return;

		$this->plgContentJcommentsMyjsp_fct($context, $row, $params, $page);
	}

	
	public function onPrepareContent(&$row, &$params, $page = 0) // 1.5
	{
		if (version_compare(JVERSION, '1.6.0', 'ge'))
			return;

		$context = JRequest::getCmd('option') .'.'. JRequest::getCmd('view');
		$this->plgContentJcommentsMyjsp_fct($context, $row, $params, $page);
	}
	
	protected function plgContentJcommentsMyjsp_fct($context = null, &$row, &$params, $page = 0)
	{
		if ($context != 'com_content.myjspace' && $context != 'com_myjspace.see')
			return true;

		if (!$this->params->get('enabled', 1))
			return true;

		$comments = JPATH_ROOT.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php';
		$myjsp = JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php';

		if (@file_exists($comments)) {
			require_once($comments);
			
			if ($row->id <= 0 && @file_exists($myjsp)) {
				require_once($myjsp);
				
				$user_page = New BSHelperUser();
				$user_page->pagename = $row->title;
				$user_page->loadPageInfo(1); // to retreive id which is artificially = 0 for $row

				$row->text .= JComments::showComments($user_page->id, 'com_myjspace', $row->title);
			} else { // Com_myjspace >= 2.0.5
				$row->text .= JComments::showComments($row->id, 'com_myjspace', $row->title);
			}

		}

		return true;
	}

} // End of class plgContentJcommentsMyjsp

?>
